curl "https://kodostatus.com/api/v1/status-pages/sp_abc123" \
-H "X-API-Key: your_api_key"
{
"page": {
"id": "uuid",
"organization_id": "uuid",
"name": "Public Status",
"slug": "acme",
"custom_domain": "status.acme.com",
"logo_url": "https://example.com/logo.png",
"primary_color": "#22c55e",
"favicon_url": null,
"tagline": "Real-time system status",
"theme_mode": "system",
"status_page_theme": "default",
"custom_css": null,
"custom_header_html": null,
"custom_footer_html": null,
"hide_branding": false,
"status_page_visibility": "public",
"status_page_password_hint": null,
"announcement_text": null,
"announcement_type": "info",
"announcement_enabled": false,
"status_page_language": "auto",
"font_family": "inter",
"secondary_color": "#64748b",
"show_subscribe_form": true,
"show_incident_history": true,
"show_uptime_graph": true,
"header_style": "centered",
"border_radius": "md",
"custom_template": null,
"is_default": true,
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-06-15T12:00:00Z"
}
}
Get a single status page with all configuration
curl "https://kodostatus.com/api/v1/status-pages/sp_abc123" \
-H "X-API-Key: your_api_key"
{
"page": {
"id": "uuid",
"organization_id": "uuid",
"name": "Public Status",
"slug": "acme",
"custom_domain": "status.acme.com",
"logo_url": "https://example.com/logo.png",
"primary_color": "#22c55e",
"favicon_url": null,
"tagline": "Real-time system status",
"theme_mode": "system",
"status_page_theme": "default",
"custom_css": null,
"custom_header_html": null,
"custom_footer_html": null,
"hide_branding": false,
"status_page_visibility": "public",
"status_page_password_hint": null,
"announcement_text": null,
"announcement_type": "info",
"announcement_enabled": false,
"status_page_language": "auto",
"font_family": "inter",
"secondary_color": "#64748b",
"show_subscribe_form": true,
"show_incident_history": true,
"show_uptime_graph": true,
"header_style": "centered",
"border_radius": "md",
"custom_template": null,
"is_default": true,
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-06-15T12:00:00Z"
}
}
curl "https://kodostatus.com/api/v1/status-pages/sp_abc123" \
-H "X-API-Key: your_api_key"
{
"page": {
"id": "uuid",
"organization_id": "uuid",
"name": "Public Status",
"slug": "acme",
"custom_domain": "status.acme.com",
"logo_url": "https://example.com/logo.png",
"primary_color": "#22c55e",
"favicon_url": null,
"tagline": "Real-time system status",
"theme_mode": "system",
"status_page_theme": "default",
"custom_css": null,
"custom_header_html": null,
"custom_footer_html": null,
"hide_branding": false,
"status_page_visibility": "public",
"status_page_password_hint": null,
"announcement_text": null,
"announcement_type": "info",
"announcement_enabled": false,
"status_page_language": "auto",
"font_family": "inter",
"secondary_color": "#64748b",
"show_subscribe_form": true,
"show_incident_history": true,
"show_uptime_graph": true,
"header_style": "centered",
"border_radius": "md",
"custom_template": null,
"is_default": true,
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-06-15T12:00:00Z"
}
}